Skip to main content
BVNK

Create reveal session

POST 

/card/v1/reveal-sessions

Creates a reveal session: a one-time, short-lived token that you use to retrieve encrypted sensitive card details. This is the first step in the two-step sensitive card details flow.

Validates that the card belongs to the specified customer and that the caller has permission to access the card. The returned token is exchanged via the BVNK Cards SDK to display card details securely.

This endpoint requires a Hawk API key.

Request​

Responses​

Reveal session created. Use the one-time token with the Preview sensitive card details endpoint.

Was this page helpful?